%define upstream_name    Net-Whois-Raw
%define upstream_version 2.96

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    No summary found
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(DBI)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(HTTP::Headers)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(IO::Socket::IP)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Net::IDN::Punycode)
BuildRequires: perl(Regexp::IPv6)
BuildRequires: perl(Socket)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::RequiresInternet)
BuildRequires: perl(URI::URL)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%global __requires_exclude perl\\(Win32API::Registry\\)
%description
Net::Whois::Raw queries WHOIS servers about domains. The module supports
recursive WHOIS queries. Also queries via HTTP is supported for some TLDs.

Setting the variables $OMIT_MSG and $CHECK_FAIL will match the results
against a set of known patterns. The first flag will try to omit the
copyright message/disclaimer, the second will attempt to determine if the
search failed and return undef in such a case.

*IMPORTANT*: these checks merely use pattern matching; they will work on
several servers but certainly not on all of them.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

# Cancelling tests because they require external network to be accessed.
# %%check
# %%make test

%install
%make_install

%files
%doc COPYRIGHT Changes LICENSE META.yml MYMETA.yml README
%{_bindir}/pwhois
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun May 29 2016 shlomif <shlomif> 2.960.0-1.mga6
+ Revision: 1019294
- update to 2.96

* Fri Apr 08 2016 shlomif <shlomif> 2.940.0-1.mga6
+ Revision: 999519
- update to 2.94

* Thu Mar 24 2016 shlomif <shlomif> 2.930.0-1.mga6
+ Revision: 994839
- update to 2.93

* Sat Feb 20 2016 umeabot <umeabot> 2.910.0-2.mga6
+ Revision: 972485
- Mageia 6 Mass Rebuild

* Mon Nov 09 2015 shlomif <shlomif> 2.910.0-1.mga6
+ Revision: 899971
- New version 2.91

* Mon Sep 28 2015 sander85 <sander85> 2.870.0-1.mga6
+ Revision: 884769
- update to 2.87

* Wed Sep 02 2015 shlomif <shlomif> 2.860.0-1.mga6
+ Revision: 872284
- New version 2.86

* Mon Jul 13 2015 sander85 <sander85> 2.850.0-1.mga6
+ Revision: 853564
- update to 2.85

* Tue Jun 30 2015 sander85 <sander85> 2.840.0-1.mga6
+ Revision: 849066
- update to 2.84

* Sun Oct 19 2014 umeabot <umeabot> 2.760.0-4.mga5
+ Revision: 788650
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2.760.0-3.mga5
+ Revision: 745960
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Tue Jul 08 2014 sander85 <sander85> 2.760.0-1.mga5
+ Revision: 650645
- update to 2.76

* Thu Jul 03 2014 sander85 <sander85> 2.750.0-1.mga5
+ Revision: 642693
- update to 2.75

* Tue Jul 01 2014 sander85 <sander85> 2.740.0-1.mga5
+ Revision: 641848
- update to 2.74

* Wed Jun 04 2014 sander85 <sander85> 2.700.0-1.mga5
+ Revision: 633028
- update to 2.70

* Fri Apr 25 2014 shlomif <shlomif> 2.630.0-1.mga5
+ Revision: 617956
- update to 2.63

* Tue Mar 25 2014 jquelin <jquelin> 2.600.0-1.mga5
+ Revision: 608384
- update to 2.60

* Fri Mar 14 2014 jquelin <jquelin> 2.590.0-1.mga5
+ Revision: 603728
- update to 2.59

* Thu Mar 13 2014 jquelin <jquelin> 2.570.0-1.mga5
+ Revision: 602987
- update to 2.57

* Mon Feb 10 2014 jquelin <jquelin> 2.510.0-1.mga5
+ Revision: 588548
- update to 2.51

* Sun Oct 20 2013 umeabot <umeabot> 2.480.0-2.mga4
+ Revision: 536721
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 shlomif <shlomif> 2.480.0-1.mga4
+ Revision: 485470
- update to 2.48

* Sat Jun 01 2013 shlomif <shlomif> 2.460.0-1.mga4
+ Revision: 434171
- Cancel tests
- update to 2.46

* Sun Jan 13 2013 umeabot <umeabot> 2.430.0-2.mga3
+ Revision: 370969
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 12 2012 shlomif <shlomif> 2.430.0-1.mga3
+ Revision: 304734
- imported package perl-Net-Whois-Raw

